<?
include '../config.php';
include '../func.php';

head();
aut();
ban();
////////////////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'fo' WHERE `id` = '".$id_session."'");

$id = num($_GET['file']);
$file = mysql_fetch_assoc(mysql_query("SELECT * FROM `fo_fil` WHERE `id` = '".$id."'"));

if ( empty($file['id']) ) {
    
    echo head . "Обменник файлов / ".$cat['name']." / ".$pcat['name']." / <b>NULL</b>" . div; 
    
    echo link1;
    
    echo 'Файл не найден';
    
    echo div;
    navig();
    foot();
    exit();
    
}

if ( $file['user'] != $id_session AND $level_session < 4) {
    
    echo head . "Обменник файлов / ".$cat['name']." / ".$pcat['name']." / <b>NULL</b>" . div; 
    
    echo link1;
    
    echo 'У вас нет прав';
    
    echo div;
    navig();
    foot();
    exit();
    
}


echo head . "Редактирование/Удаление <b>".$file['name']."</b>" . div . katalog;   

switch ($_GET['mod']) {
    case 'edit':
    if (isset($_POST['submit'])) {
        $name = html($_POST['name']);
        $info = html($_POST['info']);
        if (empty($name)) $err = 'Вы не ввели название';
        if (empty($info)) $err = 'Вы не ввели описание';
        if (isset($err))
        echo 'Возникла ошибка!' . $err . '<br/>';
        else {
        if (mysql_query("UPDATE `fo_fil` SET `name` = '".$name."', `info` = '".$info."' WHERE `id` = '".$id."'")) 
        {
        echo 'Файл обновлен<br/>';
        echo '<b><a href="view.php?file='.$file['id'].'">Перейти к файлу</a></b><br/ >';
        } 
        else
        echo 'Возникла ошибка<br/>';
        }
    }
    echo '<form action="userf.php?file='.$file['id'].'&mod=edit" method="post" name="form">';
    echo '<b>Название:</b><br/><input name="name" type="text" value="'.$file[name].'" maxlength="100" /><br/>';
    echo '<b>Описание:</b><br/><textarea id="tarea" name="info" cols="30" rows="5" style="width: 99%;">'.$file[info].'</textarea><br/>'; 
    echo '<input name="submit" type="submit" class="button" value="Обновить" /></form><br/>';  
    break;
    
    case 'del':
    if (empty($_GET['yes'])) {
        echo '<a href="userf.php?file='.$file['id'].'&mod=del&yes=yes">Подвердить удаление</a><br/ >';
    } else {
        if (mysql_query("DELETE FROM `fo_fil` WHERE `id` = '".$id."'")) {
            echo 'Файл успешно удален<br/>';
            unlink('files/'.$file['file']);
            @unlink('screen/'.$file['screen']);
        } else {
            echo 'Возникла ошибка<br/>';
        }
    }
    break;
    
    default:
    
    break;
    
}


echo div;
navig();
foot();
?>